# -*- encoding: utf-8 -*-
##############################################################################
#
# Copyright (c) 2011 ZestyBeanz Technologies Pvt. Ltd.
#    (http://wwww.zbeanztech.com) All Rights Reserved.
#     vishnu@zbeanztech.com
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields,osv
import pooler
from tools.translate import _

class SmtpClientEmailTemplate(osv.osv):
    _name = 'email.smtpclient.email.template'
    _description = 'Email Template'
    _columns = {
        'name': fields.char('Subject', size=256,required=True),
        'body' : fields.text('Message'),
    }

    def select(self, cr, uid, type):
        pool = self.pool.get('email.smtpclient.email.template')
        ids = pool.search(cr, uid, [('name','=',type)], context=False)
        if not ids:
            return False
        return pool.browse(cr, uid, ids[0]).body
SmtpClientEmailTemplate()